Subject: HTML is not SMGL
From: Dan Connolly <[email-masked]>
To: [email-masked]
Date: Sun, 07 Jun 92 00:12:55 CDT

My grandiose scheme to convert HTML to MIME and SGML
works fine.

Now I'm going back to the idea of writing a DTD for
the existing HTML format. I can't seem to do it.
HTML has so little rigid structure that I'm running
into mixed content problems (I have to allow #PCDATA
almost anywhere, hence mixed content, which screws
up everything).

How much extant HTML is really out there? And how
much of it is generated on the fly by gateways
and servers?

This MIME/SGML stuff sure seems like the way to go.

Now if I make it possible to create such documents
with FrameMaker and a perl script, I bet it will
catch on. I suspect I'll get some resistance against
abandoning UDI's, but I don't think they work.

Dan